Plug-ins Compatibility with Illustrator

Our plug-in products support following Adobe Illustrator releases that is working with the system officially supported by Adobe. Please note that we can’t guarantee proper operation of the plug-ins in unsupported system.
See Adobe’s system requirements .

Updated on November 1, 2021

CAD Plug-ins

Product Name20212022Note
BPT-Pro for MacYesYesSupports the latest 2 versions
BPT-Pro for WindowsYesYesSupports the latest 2 versions
EXDXF-Pro for MacYesYesSupports the latest 2 versions
EXDXF-Pro for WindowsYesYesSupports the latest 2 versions

iPM Plug-ins

Product NameCS5 and
older
CS6-
CC2019
20202021Note
Segment Tools for MacNoYesYesYes
Segment Tools for WindowsNoYesYesYes
Seam Allowance Tools for MacNoYesYesYes
Seam Allowance Tools for WindowsNoYesYesYes
Grading Tools for MacNoYesYesYes
Grading Tools for WindowsNoYesYesYes
DBPalette for MacNoYesYesYes
DBPalette for WindowsNoYesYesYes
AIPLOT-Pro for MacNoYesYesYes
AIPLOT-Pro for WindowsNoYesYesYes

Discontinued Products

Product NameCS5 and
older
CS6-
CC2019
20202021Note
BPT-Pro4 for Mac/WindowsNoYesYesNoEOL
EXDXF-Pro4 for Mac/WindowsNoYesYesNoEOL
CAD-COMPO4 for Mac/WindowsNoYesYesNoEOL